%define upstream_name    Package-Pkg
%define upstream_version 0.0019

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Handy package munging utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clone)
BuildRequires: perl(Mouse)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Try::Tiny)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
Package::Pkg is a collection of useful, miscellaneous package-munging
utilities. Functionality is accessed via the imported 'pkg' keyword,
although you can also invoke functions directly from the package
('Package::Pkg')

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jan 28 2011 jquelin <jquelin> 0.1.900-1.mga1
+ Revision: 42785
- imported package perl-Package-Pkg


* Fri Jan 28 2011 cpan2dist 0.0019-1mdv
- initial mdv release, generated with cpan2dist
